from django.db import models


# move to `const.py`

STATUS = (
    (0,"Draft"),
    (1,"Publish")
)
# Create your models here.

class Post(models.Model):
    title = models.CharField(max_length=200, unique=True)
    author = models.ForeignKey('user.auth',on_delete=models.CASCADE)
    updated_on =models.DateTimeField(auto_now= True)
    created_on = models.DateTimeField(auto_now_add=True)
    content = models.TextField()
    status = models.IntegerChoices()