# Api

## Develop

* Assumes you have `git clone`'d the repositiory.

### Deps and Dev Env

* Developed on `python 3.10.1`
* Setting up a `venv`
* ensure `django 4` is installed
* `cd /api/`
* `django startproject api`
* Ensure deps are in order. `pip install -r requirements.txt`
* `source .env` (called by `settings.py`)

## Config

Primaril refers to the envars and configs defined in `settings.py`.

Such as:

* added library declaration
* Authentication middleware
* Storage of static and media files
* Access origin control
* Logging
* etc..
