from django.shortcuts import render
from django.http import HttpResponse

from rest_framework import permissions
from rest_framework import viewsets

from .models import *
from .serializers import *


# Create your views here.

def index(request):
    return HttpResponse("You're at the Blogs index")

class PostViewSet(viewsets.ModelViewSet):
    queryset = Post.objects.all()
    serializer_class = PostSerializer
    permission_classes = [permissions.IsAuthenticatedOrReadOnly]
